[postgis-tickets] r17454 - Add removed file

Raul raul at rmr.ninja
Sat Jun 1 09:24:54 PDT 2019


Author: algunenano
Date: 2019-06-01 09:24:53 -0700 (Sat, 01 Jun 2019)
New Revision: 17454

Added:
   trunk/ci/travis/run_nowagyu.sh
Log:
Add removed file


Added: trunk/ci/travis/run_nowagyu.sh
===================================================================
--- trunk/ci/travis/run_nowagyu.sh	                        (rev 0)
+++ trunk/ci/travis/run_nowagyu.sh	2019-06-01 16:24:53 UTC (rev 17454)
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+set -e
+
+WARNINGS="-Werror -Wall -Wextra -Wformat -Werror=format-security"
+WARNINGS_DISABLED="-Wno-unused-parameter -Wno-implicit-fallthrough -Wno-cast-function-type"
+
+# Build with coverage
+CFLAGS="-g -O0 --coverage -mtune=generic -fno-omit-frame-pointer ${WARNINGS} ${WARNINGS_DISABLED}"
+LDFLAGS="--coverage"
+
+/usr/local/pgsql/bin/pg_ctl -c -l /tmp/logfile start
+./autogen.sh
+
+# Standard build
+./configure --without-wagyu CFLAGS="${CFLAGS}" CXXFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+bash ./ci/travis/logbt -- make -j check RUNTESTFLAGS=--verbose
+curl -S -f https://codecov.io/bash -o .github/codecov.bash
+bash .github/codecov.bash



More information about the postgis-tickets mailing list